收藏
回答

2017.06.22 (0.18.182200)版本无法访问豆瓣API

问题模块
API和组件


升级新版本后,下面的访问报错:

wx.request({
     url: 'https://api.douban.com/v2/book/isbn/9787115355172' ,
     //header: {}, // 设置请求的 header
     success: function (res) {
       // success
       console.log(res);
       
     },
     fail: function (res) {
       console.log(res);

     }
   })



豆瓣返回的错误信息:

  1. msg: "Invalid request", code: 999, request: "GET /v2/isbn/9787115355171"}

    1. code:999

    2. msg:"Invalid request"

    3. request:"GET /v2/isbn/9787115355171"

在浏览器访问https://api.douban.com/v2/book/isbn/9787115355172 正常。

最后一次编辑于  2017-06-30  (未经腾讯允许,不得转载)
回答关注问题邀请回答
收藏

7 个回答

  • 露娜、彤彤和小泽的爹
    露娜、彤彤和小泽的爹
    2017-12-22

    多谢,我曾经试了"Content-Type": "application/json" 都不成功。

    话说 application/json 不才是正规写法么?


    2017-12-22
    赞同
    回复
  • Bidding.
    Bidding.
    2017-07-05

    大神可否留个联系方式告诉我啊,QQ:1490814083

    2017-07-05
    赞同
    回复
  • Bidding.
    Bidding.
    2017-07-05

    跪求题主告诉我这个问题怎么解决的啊!

    已经困扰了我好长时间了~~~~~~

    2017-07-05
    赞同
    回复
  • 闫峰
    闫峰
    2017-06-30

    官方没有解决,就关闭问题了 ,无语。。。。

    2017-06-30
    赞同
    回复
  • 一鹏米饭
    一鹏米饭
    2017-06-29

    怎么解决的?

    2017-06-29
    赞同
    回复
  • 闫峰
    闫峰
    2017-06-29

    以前都是好的,好像是升了新的小程序版本后就不行了。

    2017-06-29
    赞同
    回复
  • 闫峰
    闫峰
    2017-06-29

    用浏览器是可以的

    2017-06-29
    赞同
    回复